# driver 2.0
[https://driver.herokuapp.com/](https://driver.herokuapp.com/)

A logging app for drivers

I used to be a delivery driver, and one of the biggest challenges I came across was finding a good free and intuitive mileage tracking app. This project is designed to solve that problem. **Driver** is a simple and easy to use application that will help you log your miles and earnings and do some math to help you figure out how much you're making an hour. This app is a work in progress, with new features being added regularly.

If you would like to demo the application, feel free to login under these credentials:

```
username: sample
password: sample
```

## Built With

* [React.js](https://reactjs.org/) - Frontend Library
* [React Router](https://reacttraining.com/react-router/core/guides/philosophy) - Dynamic Page Routing
* [Material-UI](https://material-ui.com/) - Frontend Styling Components
* [MongoDB](https://www.mongodb.com/) - Database
* [Express.js](https://expressjs.com/) - Web App Framework
* [Node.js](https://nodejs.org/en/) - Serverside
* [Axios](https://www.npmjs.com/package/axios) - API Calls
* [Passport.js](https://http://www.passportjs.org/) - Authentication
* [Bcrypt-nodejs](https://www.npmjs.com/package/bcrypt-nodejs) - Password Encryption
* [Heroku](https://heroku.com) - Hosting

## Author

* **Josh Hedstrom** - *Frontend, Backend, and Authentication* - [Github](https://github.com/joshhedstrom)



-----------------------------------------------------------------------------------------------------------


## Originally Built With

* [Materialize](http://www.dropwizard.io/1.0.2/docs/) - Frontend Framework
* [Node.js](https://nodejs.org/en/) - Serverside 
* [Passport.js](https://http://www.passportjs.org/) - Authentication
* [Bcrypt-nodejs](https://www.npmjs.com/package/bcrypt-nodejs) - Password Encryption
* [MySQL](https://www.mysql.com/) - Database
* [Sequelize](http://docs.sequelizejs.com/) - Promise-based ORM
* [Heroku](https://heroku.com) - Hosting

## Authors of the initial app version

* **Dan Pedersen** - *Backend* - [Github](https://github.com/dpedersen84)
* **Josh Hedstrom** - *Authentication and Backend* - [Github](https://github.com/joshhedstrom)
* **Heidi Larson** - *Frontend and Design* - [Github](https://github.com/hllrsn)
* **Andy Smith** - *Frontend* - [Github](https://github.com/awsmith89)
* **Bill Carver** - *Backend* - [Github](https://github.com/BillCarverDev)

## License

This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details

## Acknowledgments

* [This passport tutorial](https://github.com/lyndachiwetelu/using-passport-with-sequelize-and-mysql)
